Page MenuHomePhabricator

edje_cc: allow omitting "name" keyword in color_classes.color_class block
ClosedPublic

Authored by conr2d on Jan 22 2016, 12:43 AM.

Details

Reviewers
jpeg
cedric
Summary

This allows developer to omit "name" keyword in color_classes.color_class
block in EDC.

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 1128
Build 1193: arc lint + arc unit
conr2d updated this revision to Diff 8213.Jan 22 2016, 12:43 AM
conr2d retitled this revision from to edje_cc: allow omitting "name" keyword in color_classes.color_class block.
conr2d updated this object.
conr2d added reviewers: jpeg, cedric.
cedric requested changes to this revision.Jan 26 2016, 1:19 PM
cedric edited edge metadata.

Can you add a test with no name ? And make sure it trigger a potential strcmp (coverage).

This revision now requires changes to proceed.Jan 26 2016, 1:19 PM

@cedric
Test case is added. (D3615) This feature is already implemented for text_classes and size_classes block and works perfectly. ;)

jpeg accepted this revision.Jan 28 2016, 9:54 PM
jpeg edited edge metadata.

Looks good to me (with the test case).

@cedric

Please, don't forget this. You already merged test case patch for this. : )

cedric accepted this revision.Feb 4 2016, 11:31 PM
cedric edited edge metadata.

Yes, first running the test to see if it break, then add the fix and rerunning the check to see if it correctly fix it.

This revision is now accepted and ready to land.Feb 4 2016, 11:31 PM
cedric closed this revision.Feb 4 2016, 11:31 PM